export declare class StringValueItem {
    value: string;
    editable: boolean;
    constructor(v: string, e: boolean);
}
export declare class NumberValueItem {
    value: number;
    editable: boolean;
    constructor(v: number, e: boolean);
}
export declare class BoolValueItem {
    value: boolean;
    editable: boolean;
    constructor(v: boolean, e: boolean);
}
export declare class ComplexValueItem {
    value: any | {
        [key: string]: any | any[];
    };
    editable: boolean;
    constructor(v: any | {
        [key: string]: any | any[];
    }, e: boolean);
}
export declare class Configuration {
    [key: string]: any | any[];
    auth_mode: StringValueItem;
    project_creation_restriction: StringValueItem;
    self_registration: BoolValueItem;
    ldap_base_dn: StringValueItem;
    ldap_filter?: StringValueItem;
    ldap_scope: NumberValueItem;
    ldap_search_dn?: StringValueItem;
    ldap_search_password?: StringValueItem;
    ldap_timeout: NumberValueItem;
    ldap_uid: StringValueItem;
    ldap_url: StringValueItem;
    ldap_verify_cert: BoolValueItem;
    uaa_client_id: StringValueItem;
    uaa_client_secret?: StringValueItem;
    uaa_endpoint: StringValueItem;
    uaa_verify_cert: BoolValueItem;
    email_host: StringValueItem;
    email_identity: StringValueItem;
    email_from: StringValueItem;
    email_port: NumberValueItem;
    email_ssl: BoolValueItem;
    email_username?: StringValueItem;
    email_password?: StringValueItem;
    email_insecure: BoolValueItem;
    verify_remote_cert: BoolValueItem;
    token_expiration: NumberValueItem;
    cfg_expiration: NumberValueItem;
    scan_all_policy: ComplexValueItem;
    read_only: BoolValueItem;
    constructor();
}
