import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ConfirmationDialogComponent } from '../confirmation-dialog/confirmation-dialog.component';
import { ConfirmationAcknowledgement } from '../confirmation-dialog/confirmation-state-message';
import { ConfigurationService, SystemInfoService, SystemInfo } from '../service/index';
import { ErrorHandler } from '../error-handler/index';
import { SystemSettingsComponent, VulnerabilityConfigComponent } from './index';
import { Configuration } from './config';
export declare class RegistryConfigComponent implements OnInit {
    private configService;
    private errorHandler;
    private translate;
    private systemInfoService;
    config: Configuration;
    configCopy: Configuration;
    onGoing: boolean;
    systemInfo: SystemInfo;
    hasAdminRole: boolean;
    systemSettings: SystemSettingsComponent;
    vulnerabilityCfg: VulnerabilityConfigComponent;
    confirmationDlg: ConfirmationDialogComponent;
    constructor(configService: ConfigurationService, errorHandler: ErrorHandler, translate: TranslateService, systemInfoService: SystemInfoService);
    readonly shouldDisable: boolean;
    readonly hasCAFile: boolean;
    readonly withClair: boolean;
    readonly withAdmiral: boolean;
    ngOnInit(): void;
    isValid(): boolean;
    hasChanges(): boolean;
    loadSystemInfo(): void;
    load(): void;
    save(): void;
    cancel(): void;
    confirmCancel(ack: ConfirmationAcknowledgement): void;
    reset(): void;
    getChanges(): {
        [key: string]: any | any[];
    };
}
