import { OnInit, ChangeDetectorRef } from "@angular/core";
import { Label } from "../service/interface";
import { LabelService } from "../service/label.service";
import { ErrorHandler } from "../error-handler/error-handler";
import { CreateEditLabelComponent } from "../create-edit-label/create-edit-label.component";
import { ConfirmationAcknowledgement } from "../confirmation-dialog/confirmation-state-message";
import { TranslateService } from "@ngx-translate/core";
import { ConfirmationDialogComponent } from "../confirmation-dialog/confirmation-dialog.component";
import { OperationService } from "../operation/operation.service";
export declare class LabelComponent implements OnInit {
    private labelService;
    private errorHandler;
    private translateService;
    private operationService;
    private ref;
    timerHandler: any;
    loading: boolean;
    targets: Label[];
    targetName: string;
    selectedRow: Label[];
    scope: string;
    projectId: number;
    hasProjectAdminRole: boolean;
    createEditLabel: CreateEditLabelComponent;
    confirmationDialogComponent: ConfirmationDialogComponent;
    constructor(labelService: LabelService, errorHandler: ErrorHandler, translateService: TranslateService, operationService: OperationService, ref: ChangeDetectorRef);
    ngOnInit(): void;
    retrieve(scope: string, name?: string): void;
    openModal(): void;
    reload(): void;
    doSearchTargets(targetName: string): void;
    refreshTargets(): void;
    selectedChange(): void;
    editLabel(label: Label[]): void;
    deleteLabels(targets: Label[]): void;
    confirmDeletion(message: ConfirmationAcknowledgement): void;
    delOperate(target: Label): Promise<void>;
    forceRefreshView(duration: number): void;
}
