import { OnInit } from '@angular/core';
import { ProjectService } from '../service/project.service';
import { ErrorHandler } from '../error-handler/error-handler';
import { State } from 'clarity-angular';
import { ConfirmationDialogComponent } from '../confirmation-dialog/confirmation-dialog.component';
import { ConfirmationAcknowledgement } from '../confirmation-dialog/confirmation-state-message';
import { TranslateService } from '@ngx-translate/core';
import { Project } from './project';
import { SystemInfo, SystemInfoService } from '../service/index';
export declare class ProjectPolicy {
    Public: boolean;
    ContentTrust: boolean;
    PreventVulImg: boolean;
    PreventVulImgSeverity: string;
    ScanImgOnPush: boolean;
    constructor();
    initByProject(pro: Project): void;
}
export declare class ProjectPolicyConfigComponent implements OnInit {
    private errorHandler;
    private translate;
    private projectService;
    private systemInfoService;
    onGoing: boolean;
    projectId: number;
    projectName: string;
    hasSignedIn: boolean;
    hasProjectAdminRole: boolean;
    confirmationDlg: ConfirmationDialogComponent;
    systemInfo: SystemInfo;
    orgProjectPolicy: ProjectPolicy;
    projectPolicy: ProjectPolicy;
    severityOptions: {
        severity: string;
        severityLevel: string;
    }[];
    constructor(errorHandler: ErrorHandler, translate: TranslateService, projectService: ProjectService, systemInfoService: SystemInfoService);
    ngOnInit(): void;
    readonly withNotary: boolean;
    readonly withClair: boolean;
    retrieve(state?: State): any;
    updateProjectPolicy(projectId: string | number, pp: ProjectPolicy): void;
    refresh(): void;
    isValid(): boolean;
    hasChanges(): boolean;
    save(): void;
    cancel(): void;
    reset(): void;
    confirmCancel(ack: ConfirmationAcknowledgement): void;
}
