import { Http } from "@angular/http";
import { Observable } from "rxjs/Observable";
import "rxjs/add/observable/of";
import { IServiceConfig } from "../service.config";
import { Configuration } from "../config/config";
/**
 * Service used to get and save registry-related configurations.
 *
 * @export
 * @abstract
 * @class ConfigurationService
 */
export declare abstract class ConfigurationService {
    /**
     * Get configurations.
     *
     * @abstract
     * @returns {(Observable<Configuration> | Promise<Configuration> | Configuration)}
     *
     * @memberOf ConfigurationService
     */
    abstract getConfigurations(): Observable<Configuration> | Promise<Configuration> | Configuration;
    /**
     * Save configurations.
     *
     * @abstract
     * @returns {(Observable<Configuration> | Promise<Configuration> | Configuration)}
     *
     * @memberOf ConfigurationService
     */
    abstract saveConfigurations(changedConfigs: any | {
        [key: string]: any | any[];
    }): Observable<any> | Promise<any> | any;
}
export declare class ConfigurationDefaultService extends ConfigurationService {
    private http;
    private config;
    _baseUrl: string;
    constructor(http: Http, config: IServiceConfig);
    getConfigurations(): Observable<Configuration> | Promise<Configuration> | Configuration;
    saveConfigurations(changedConfigs: any | {
        [key: string]: any | any[];
    }): Observable<any> | Promise<any> | any;
}
