import { Observable } from "rxjs/Observable";
import { Label } from "./interface";
import { Http } from "@angular/http";
import { IServiceConfig } from "../service.config";
import { RequestQueryParams } from "./RequestQueryParams";
export declare abstract class LabelService {
    abstract getGLabels(name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    abstract getPLabels(projectId: number, name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    abstract getLabels(scope: string, projectId: number, name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    abstract createLabel(label: Label): Observable<Label> | Promise<Label> | Label;
    abstract getLabel(id: number): Observable<Label> | Promise<Label> | Label;
    abstract updateLabel(id: number, param: Label): Observable<any> | Promise<any> | any;
    abstract deleteLabel(id: number): Observable<any> | Promise<any> | any;
}
export declare class LabelDefaultService extends LabelService {
    private http;
    _labelUrl: string;
    constructor(config: IServiceConfig, http: Http);
    getLabels(scope: string, projectId: number, name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    getGLabels(name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    getPLabels(projectId: number, name?: string, queryParams?: RequestQueryParams): Observable<Label[]> | Promise<Label[]>;
    createLabel(label: Label): Observable<any> | Promise<any> | any;
    getLabel(id: number): Observable<Label> | Promise<Label> | Label;
    updateLabel(id: number, label: Label): Observable<any> | Promise<any> | any;
    deleteLabel(id: number): Observable<any> | Promise<any> | any;
}
