import { Http } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import { SystemInfo } from './interface';
import { IServiceConfig } from '../service.config';
/**
 * Get System information about current backend server.
 * @abstract
 * @class
 */
export declare abstract class SystemInfoService {
    /**
     *  Get global system information.
     *  @abstract
     *  @returns
     */
    abstract getSystemInfo(): Observable<SystemInfo> | Promise<SystemInfo> | SystemInfo;
}
export declare class SystemInfoDefaultService extends SystemInfoService {
    private config;
    private http;
    constructor(config: IServiceConfig, http: Http);
    getSystemInfo(): Observable<SystemInfo> | Promise<SystemInfo> | SystemInfo;
}
