import { EventEmitter, OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Configuration } from '../config';
import { ScanningResultService, SystemInfo, SystemInfoService } from '../../service/index';
import { ErrorHandler } from '../../error-handler/index';
import { TranslateService } from '@ngx-translate/core';
import { ClairDetail } from '../../service/interface';
export declare class VulnerabilityConfigComponent implements OnInit {
    private scanningService;
    private errorHandler;
    private translate;
    private systemInfoService;
    _localTime: Date;
    onSubmitting: boolean;
    config: Configuration;
    openState: boolean;
    configChange: EventEmitter<Configuration>;
    vulnerabilityConfig: Configuration;
    showSubTitle: boolean;
    showScanningNamespaces: boolean;
    systemInfo: SystemInfo;
    readonly scanAvailable: boolean;
    readonly nextScanTimestamp: Date;
    readonly nextScanTime: number;
    readonly updatedTimestamp: Date;
    readonly namespaceTimestamps: ClairDetail[];
    dailyTime: string;
    scanningType: string;
    systemSettingsForm: NgForm;
    readonly editable: boolean;
    readonly isValid: boolean;
    readonly showTimePicker: boolean;
    readonly isClairDBFullyReady: boolean;
    constructor(scanningService: ScanningResultService, errorHandler: ErrorHandler, translate: TranslateService, systemInfoService: SystemInfoService);
    ngOnInit(): void;
    convertToLocalTime(utcTime: number): Date;
    scanNow(): void;
    getSystemInfo(): Promise<void | SystemInfo>;
}
